/*
 * Capture sample for philips saa7134 based TV cards
 * card-specific stuff.
 *
 * (c) 2002 Ramil Koussiapkoulov <roma@mail.rb.ru> [ViDiSys], www.vidisys.de
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <stdlib.h>
#include <stdio.h>
#include "mpegtools/transform.h"

unsigned char buf[312*188];

int main()
{
  int fd,fdo;

  fd = open("/dev/video1", O_RDWR);
  if (fd < 0) {
    perror("open of /dev/video1 failed");
    exit(1);
  }

  fdo = open("movie.mpg", O_RDWR|O_CREAT);
  if (fdo < 0) {
    perror("open of ts.mpg failed");
    exit(1);
  }

  printf("Press Control-C to break:\n");
  ts_to_pes(fd, fdo, 259, 256, 1);
  //ts_demux(fd,fda,fdv,259,256,1);
  return 0;
}
